libzypp 17.36.7

Public Member Functions | List of all members
zypp::json::String Class Reference

JSON string Force representation as JSON string, mapping e.g. More...

`#include <zypp/base/Json.h>`

Inheritance diagram for zypp::json::String:

## Public Member Functions
| String ()
| String (std::nullptr_t)
| String (const char val_r)
| String (const char *val_r)
| String (const std::string &val_r)
Public Member Functions inherited from zypp::json::Value
| Value ()
| Default ctor (null)
| Value (const Value &rhs)
| Copy ctor.
template<class T>
| Value (const T &val_r)
| Ctor creating a JSON representation of T via toJSON(T)
const std::string & | asJSON () const
| JSON representation.
const std::string & | asString () const
| String representation.
std::ostream & | dumpOn (std::ostream &str) const
| Stream output.

## Additional Inherited Members
Related Symbols inherited from zypp::json::Value
std::ostream & | operator<< (std::ostream &str, const Value &obj)
| Stream output.

## Detailed Description

JSON string Force representation as JSON string, mapping e.g.

`null` values to an empty string. Maninly used in Object as key.

Definition at line 242 of file Json.h.

## Constructor & Destructor Documentation

## ◆ String() [1/5]

zypp::json::String::String | ( |  | ) |
| inline

Definition at line 244 of file Json.h.

## ◆ String() [2/5]

zypp::json::String::String | ( | std::nullptr_t |  | ) |
| inline

Definition at line 245 of file Json.h.

## ◆ String() [3/5]

zypp::json::String::String | ( | const char | val_r | ) |
| inline

Definition at line 247 of file Json.h.

## ◆ String() [4/5]

zypp::json::String::String | ( | const char * | val_r | ) |
| inline

Definition at line 248 of file Json.h.

## ◆ String() [5/5]

zypp::json::String::String | ( | const std::string & | val_r | ) |
| inline

Definition at line 249 of file Json.h.

The documentation for this class was generated from the following file:

- zypp/base/Json.h